# Sun-$Revision: 8.1.1 $

# Copyright 1992 Sun Microsystems, Inc. and Stanford University.
# See the LICENSE file for license information.

# Makefile for Xlib glue

ROOTDIR = ..

# The .c file name should end in "glue.c" so the makefiles will know it is
# glue code (glue must compile without -g because compiles take too long)
NAME = xlib_glue

${NAME}.so: ${NAME}.o
	ld -o $@ $?

${NAME}.o: ${NAME}.c xlib.primMaker.h
	${COMPILE.gnu.o.nog} -o $@ ${NAME}.c

INCLUDES = -I${ROOTDIR}/sun4/optimized -I${ROOTDIR}/glueDefs

include ${ROOTDIR}/MakefileOptimizeTemplate
include ${ROOTDIR}/MakefileCompileTemplate
include ${ROOTDIR}/MakefileSun4Template
